#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	CD paranoia CD-DA libraries from libcdio
Summary(pl.UTF-8):	Biblioteki paranoia CD-DA z libcdio
Name:		libcdio-paranoia
%define	paranoia_ver	10.2
%define	libcdio_ver	2.0.1
%undefine	subver
Version:	%{libcdio_ver}_%{paranoia_ver}%{?subver:_%{subver}}
Release:	1
License:	GPL v3+
Group:		Libraries
%if 0%{?subver:1}
Source0:	https://ftp.gnu.org/gnu/libcdio/%{name}-%{paranoia_ver}+%{libcdio_ver}+%{subver}.tar.bz2
%else
Source0:	https://ftp.gnu.org/gnu/libcdio/%{name}-%{paranoia_ver}+%{libcdio_ver}.tar.bz2
# Source0-md5:	98332ca7b2a4fcabf5dec8a57cc98fe9
%endif
Patch0:		%{name}-am.patch
URL:		http://www.gnu.org/software/libcdio/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.8.3
BuildRequires:	help2man
BuildRequires:	libcdio-devel >= 0.90
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
Requires:	libcdio >= 0.90
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This CDDA reader distribution ('libcdio-cdparanoia') reads audio from
the CDROM directly as data, with no analog step between, and writes
the data to a file or pipe as .wav, .aifc or as raw 16 bit linear PCM.

%description -l pl.UTF-8
Ta biblioteka odczytu CDDA (libcdio-cdparanoia) odczytuje dźwięk z
płyt CD bezpośrednio jako dane, bez pośrednictwa sygnału analogowego i
zapisuje te dane do pliku lub strumienia jako .wav, .aifc lub dane
surowe 16-bitowe PCM.

%package devel
Summary:	Header files for libcdio-paranoia libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek libcdio-paranoia
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libcdio-devel >= 0.90

%description devel
Header files for libcdio-paranoia libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek libcdio-paranoia.

%package static
Summary:	Static libcdio-paranoia libraries
Summary(pl.UTF-8):	Statyczne biblioteki libcdio-paranoia
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libcdio-paranoia libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libcdio-paranoia.

%package utils
Summary:	libcdio-paranoia utility: cd-paranoia
Summary(pl.UTF-8):	Narzędzie używające libcdio-paranoia: cd-paranoia
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description utils
libcdio-paranoia utility: cd-paranoia.

%description utils -l pl.UTF-8
Narzędzie używające libcdio-paranoia: cd-paranoia.

%prep
%setup -q -n %{name}-%{paranoia_ver}+%{libcdio_ver}%{?subver:+%{subver}}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-maintainer-mode \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	mansubdir=/ja/man1

# compatibility with pre-0.90 libcdio
ln -s paranoia/cdda.h $RPM_BUILD_ROOT%{_includedir}/cdio/cdda.h
ln -s paranoia/paranoia.h $RPM_BUILD_ROOT%{_includedir}/cdio/paranoia.h

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS.md README.md THANKS doc/overlapdef.txt
%attr(755,root,root) %{_libdir}/libcdio_cdda.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcdio_cdda.so.2
%attr(755,root,root) %{_libdir}/libcdio_paranoia.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcdio_paranoia.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcdio_cdda.so
%attr(755,root,root) %{_libdir}/libcdio_paranoia.so
%{_includedir}/cdio/cdda.h
%{_includedir}/cdio/paranoia.h
%{_includedir}/cdio/paranoia
%{_pkgconfigdir}/libcdio_cdda.pc
%{_pkgconfigdir}/libcdio_paranoia.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcdio_cdda.a
%{_libdir}/libcdio_paranoia.a
%endif

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cd-paranoia
%{_mandir}/man1/cd-paranoia.1*
%lang(ja) %{_mandir}/ja/man1/cd-paranoia.1*
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libcdio-paranoia.git;a=log;h=master

* Wed Dec 04 2019 Jakub Bogusz <qboosh@pld-linux.org> 773e0c6
- updated to 10.2+2.0.1

* Fri Apr 19 2019 Adam Gołębiowski <adamg@pld-linux.org> f020d26
- fix versioning, release 2

* Fri Apr 19 2019 Adam Gołębiowski <adamg@pld-linux.org> 79ae7af
- rebuild against libcdio 2.1.0

* Thu Jan 31 2019 Jakub Bogusz <qboosh@pld-linux.org> ad6a1e1
- distfiles workaround

* Thu Jan 31 2019 Jakub Bogusz <qboosh@pld-linux.org> 2ad9aed
- updated to 10.2+2.0.0

* Fri Mar 16 2018 Marcin Krol <hawk@tld-linux.org> cec41f4
- release 2

* Sat Dec 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 8d26ea0
- updated to 10.2+0.94+2

* Sun May 14 2017 Jakub Bogusz <qboosh@pld-linux.org> 50c843d
- updated to 10.2+0.94+1

* Fri Nov 11 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 3b87b0e
- Release 3

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 6831f53
- x32 rebuild
- release 2 (by relup.sh)

* Sun Oct 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 1cff30b
- updated to 10.2+0.93+1 (as 0.93_10.2_1; note: new sonames)

* Sun Dec 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 721b7eb
- dropped libtool files, release 3 (rebuild with libcdio 0.92)

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d279e49
- rel 2; fc compat symlinks

* Sat Apr 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 9a6b208
- updated to [10.2+]0.90+1
- removed obsolete headers patch
- added am patch to build with automake 1.13+

* Thu Dec 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 3d5b946
- added headers patch (from git: install headers to cdio/paranoia subdir)
- release 2

* Tue Oct 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 6b256a9
- new, split from libcdio.spec

